Package fr.gouv.vitam.collect.internal.core.helpers

# Class CollectHelper

java.lang.Object
fr.gouv.vitam.collect.internal.core.helpers.CollectHelper

public class CollectHelper extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkVersion(int version, int lastVersion)`
  `static ProjectDto`
  `convertProjectModeltoProjectDto(ProjectModel projectModel)`
  `static TransactionDto`
  `convertTransactionModelToTransactionDto(TransactionModel transactionModel)`
  `static void`
  `createGraph(com.google.common.collect.ListMultimap<String,String> multimap, Set<String> originatingAgencies, Map<String,String> ogs, com.fasterxml.jackson.databind.JsonNode result)`
  `static DataObjectVersionType`
  `fetchUsage(String usageString)`
  `static DbQualifiersModel`
  `findQualifier(List<DbQualifiersModel> qualifiers, DataObjectVersionType usage)`
  `static FormatIdentifierResponse`
  `getFirstPronomFormat(List<FormatIdentifierResponse> formats)`
  `static int`
  `getLastVersion(DbQualifiersModel qualifierModelToUpdate)`
  `static DbVersionsModel`
  `getObjectVersionsModel(DbObjectGroupModel dbObjectGroupModel, DataObjectVersionType usage, int version)`
  `static ManifestContext`
  `mapProjectDtoToManifestContext(ProjectDto projectDto)`
  `static ManifestContext`
  `mapTransactionDtoToManifestContext(TransactionDto transactionDto, ProjectDto projectDto)`
  `static File`
  `writeToTemporaryFile(InputStream inputStream, String extension)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fetchUsage

    public static DataObjectVersionType fetchUsage(String usageString) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### getFirstPronomFormat

    public static FormatIdentifierResponse getFirstPronomFormat(List<FormatIdentifierResponse> formats)

  - ### getObjectVersionsModel

    public static DbVersionsModel getObjectVersionsModel(DbObjectGroupModel dbObjectGroupModel, DataObjectVersionType usage, int version)

  - ### getLastVersion

    public static int getLastVersion(DbQualifiersModel qualifierModelToUpdate)

  - ### findQualifier

    public static DbQualifiersModel findQualifier(List<DbQualifiersModel> qualifiers, DataObjectVersionType usage)

  - ### checkVersion

    public static void checkVersion(int version, int lastVersion)

  - ### createGraph

    public static void createGraph(com.google.common.collect.ListMultimap<String,String> multimap, Set<String> originatingAgencies, Map<String,String> ogs, com.fasterxml.jackson.databind.JsonNode result)

  - ### convertProjectModeltoProjectDto

    public static ProjectDto convertProjectModeltoProjectDto(ProjectModel projectModel)

  - ### convertTransactionModelToTransactionDto

    public static TransactionDto convertTransactionModelToTransactionDto(TransactionModel transactionModel)

  - ### mapProjectDtoToManifestContext

    public static ManifestContext mapProjectDtoToManifestContext(ProjectDto projectDto)

  - ### mapTransactionDtoToManifestContext

    public static ManifestContext mapTransactionDtoToManifestContext(TransactionDto transactionDto, ProjectDto projectDto)

  - ### writeToTemporaryFile

    public static File writeToTemporaryFile(InputStream inputStream, String extension) throws IOException
    Throws:
      `IOException`